Bug 927793 - (CVE-2015-1856) VUL-1: CVE-2015-1856: openstack-swift: OpenStack Object Storage (Swift) before 2.3.0, when allow_version is configured,allows remote authe...
(CVE-2015-1856)
VUL-1: CVE-2015-1856: openstack-swift: OpenStack Object Storage (Swift) befor...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/115823/
CVSSv2:NVD:CVE-2015-1856:5.5:(AV:N/AC...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-20 09:28 UTC by Andreas Stieger
Modified: 2016-04-27 20:20 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Stieger 2015-04-20 09:28:26 UTC
CVE-2015-1856

OpenStack Object Storage (Swift) before 2.3.0, when allow_version is configured,
allows remote authenticated users to delete the latest version of an object by
leveraging listing access to the x-versions-location container.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-1856
http://seclists.org/oss-sec/2015/q2/136
http://people.canonical.com/~ubuntu-security/cve/2015/CVE-2015-1856.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-1856
http://www.cvedetails.com/cve/CVE-2015-1856/
https://bugs.launchpad.net/swift/+bug/1430645
http://lists.openstack.org/pipermail/openstack-announce/2015-April/000349.html
Comment 2 Swamp Workflow Management 2015-04-20 22:00:41 UTC
bugbot adjusting priority
Comment 3 Vincent Untz 2015-10-16 23:17:38 UTC
Submitted in mr#74926.
Comment 4 Swamp Workflow Management 2015-10-30 11:10:13 UTC
SUSE-SU-2015:1846-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 900253,927793,942641
CVE References: CVE-2014-7960,CVE-2015-1856,CVE-2015-5223
Sources used:
SUSE OpenStack Cloud 5 (src):    openstack-swift-2.1.0-11.1, openstack-swift-doc-2.1.0-11.1
Comment 5 Marcus Meissner 2016-02-10 07:36:57 UTC
reeased